Install GT New Horizons

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (GT New Horizons) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select GT New Horizons from the list on the left. The launcher will handle everything else!

GT New Horizons Version 2.0.9.0

created by DreamMasterXXL on Minecraft 1.7.10 using Technic Solder
You must be logged in to comment. Click here to register a new account or log in.
I have a question what are the minimum requirements
ter0xed 2 weeks ago
3 GB Ram but better is 4GB ram.
Posted by DreamMasterXXL 2 weeks ago | Modpack Creator
If you could add minecraft comes alive that'd be great! Or something similar.
LostZer0 2 months ago
The Mod is open source. Need to run teste first. You can add suggestion here and discuss wit others https://github.com/GTNewHorizons/GT-New-Horizons-Modpack/issues https://discord.gg/EXshrPV
Posted by DreamMasterXXL 1 month ago | Modpack Creator
add the battle tower mod
GG-Ibonez 3 months ago
Why? give me a link that i can check out the mod. thanks
Posted by DreamMasterXXL 3 months ago | Modpack Creator
I would seriously consider adding dimensional doorways
Starchives 4 months ago
I dont see that mod for 1.7.10. And why we need more teleporters?
Posted by DreamMasterXXL 4 months ago | Modpack Creator
for some reason when i press play on the Technic launcher for this mod pack the minecraft launcher doesn't even come up. the Technic launcher just disappears and reappears
Winter_Soldier0 4 months ago
Did you try to launch the game as Admin ?
Posted by DreamMasterXXL 4 months ago | Modpack Creator
The recipe for rubber logs + configured circuit 2 in a centrifuge (for sticky resin) does not work, it only gives methane, like the recipe without a circuit
Tryouse 5 months ago
Nevermind, restarted the game and the recipe imminently started working. Still weird. (and a waste of 20 or so logs. oh well.)
Posted by Tryouse 5 months ago
I try to fix it twice but another mod seems to add recipe here idk what i can do else.
Posted by DreamMasterXXL 5 months ago | Modpack Creator
I want to make a server and I don't know which folder to download. I have to choose: ClientPacks, Dev-Pack, Mods_for_Jenkins, Mods_for_Twitch, Multi_mc_downloads and ServerPacks?
MrMicroL 5 months ago
use server packs for server files and client packs for client
Posted by DreamMasterXXL 5 months ago | Modpack Creator
updated to 2.0.8.3 (recommended version) and now all my wooden pipes have no textures? Do you know if there is a fix?
CMT 6 months ago
also when placing new wooden pipes, the textures are ok.
Posted by CMT 6 months ago
Yes pipes are changed before 2.0.8.3. After replace it all fixed. Use a wrench now not a saw for wodden pipes.
Posted by DreamMasterXXL 6 months ago | Modpack Creator
Dear developer, could you tell me why EBF does not work for me on LV-tier, I do everything as it is written in the quest book, but it does not start, it says that it is ready for work, I put aluminum and it does not start
Owl3223 7 months ago
did you put enough power to the ebf. two amp in each hatch ? Did you repai the ebf with duct tape or tools?
Posted by DreamMasterXXL 7 months ago | Modpack Creator
"Attempting to extract file mcnewhorizons-2.0.8.8.zip but it did not exist. please consult the modpack author." help?
ZeroFourNine 7 months ago
can you post the link here? Idk what zip file you mean.
Posted by DreamMasterXXL 7 months ago | Modpack Creator
Hello, I tried to import GTNewHorizonsClient-1.7.10-2.0.8.8.zip using MultiMC, but it prompts me that "The compressed package does not contain a recognizable integration package type", I would like to ask how do I use GTNewHorizonsClient-1.7.10-2.0 .8.8.zip to start the game? GTNewHorizonsClient-1.7.10-2.0.8.3-MMC-fixed-2.zip This package is only updated to 2.0.8.3, but I need to play 2.0.8.8. Thank you
BarryBooder 8 months ago
I asked the user who did 2.0.8.3 allready to update the pack. Will ask him again or i make a own version.
Posted by DreamMasterXXL 8 months ago | Modpack Creator
Updated to 2.0.8.8. Hope all fine
Posted by DreamMasterXXL 8 months ago | Modpack Creator
OK,Thanks!
Posted by BarryBooder 8 months ago
I saw the multimc package, thanks!But could you please tell me how to use the client pack? Since I did not managed to find any useful information on site.
Posted by BarryBooder 8 months ago
What Launcher you using ?
Posted by DreamMasterXXL 8 months ago | Modpack Creator
hello ! I have problem, I need to update my server. But when i copied my map into new server (2.0.8.6) from old server (2.0.7.5) i can't connected .
GuiseppeCZ 8 months ago
I need logs or crash logs to know what it is. https://github.com/GTNewHorizons/NewHorizons/issues
Posted by DreamMasterXXL 8 months ago | Modpack Creator
Hello ! I've got a bug to report on latest version (because i like to live dangerously). It seems like infernal Mobs is acting up. A ticking fire zombie crashes the game. Where should I post my crash report ?
Oheta11 8 months ago
Post crashlog here and we see what we can do. https://github.com/GTNewHorizons/NewHorizons/issues
Posted by DreamMasterXXL 8 months ago | Modpack Creator
I've just started this mod-pack and it seems great! It's got all the mods that I want. My problem is that I hate all the crafting recipe changes. I know it makes it a bit more realistic, but all it's doing is pissing me off. Is there any way to remove the recipe changes?
platoborg567 8 months ago
Go and play another pack. There are much vanilla packs outside.
Posted by DreamMasterXXL 8 months ago | Modpack Creator
Go and play another pack. There are much vanilla packs outside.
Posted by DreamMasterXXL 8 months ago | Modpack Creator
Just a bit of a warning to the people here, looking to play this modpack on the US server. I joined and put up an application to get un-greylisted, and I waited for a day, and tried to tell the staff team twice that my application was submitted, only after waiting close to 8 hours. This may not seem like a problem, since people have lives, but, the application itself says that it should only take an hour, and to tell staff if it takes longer. And the staff didn't even glance at my application, nor messages. In my opinion, it seems the staff team is lazy and/or not dedicated to the community nor server. I would not recommend this pack until a new staff team is put together, or the problem is assessed.
skullhunter471 8 months ago
here is the proof, by the way. https://i.gyazo.com/fde2610b9816bff570224cd545ab7bae.png
Posted by skullhunter471 8 months ago
Sometimes Enjin synchronization works not well.
Posted by DreamMasterXXL 8 months ago | Modpack Creator
I`ve played the game a little bit and now I`m up the the make a sword quest, but I've made 3 swords and it isn't completing the quest for me.
Quip 8 months ago
Nevermind, I managed to fix it. Apparently you have to make the sword on the LEFT side of the crafting interface, because why not?
Posted by Quip 8 months ago
Fixed in next release i hope
Posted by DreamMasterXXL 8 months ago | Modpack Creator
I love that JEI bookmarking & NEI search performance was improved. Any chance more JEI features may be backported like icons for each crafting machine. Or combining types of materials (in recipes) so we don't have 70+ pages of recipes for one single item?
EX0stasis 8 months ago
Thanks to Mitch he add it. Feel free to add your suggestions here https://github.com/GTNewHorizons/NewHorizons/issues
Posted by DreamMasterXXL 8 months ago | Modpack Creator
using in-inventory 2x2 workbench in a server can cause the client crash and leave a Internal Server Error message with 2.0.8.3 version
Radeon_Vega 10 months ago
If your server isnt a Forge Server you need this file on the server to fix that Bug. https://github.com/juanmuscaria/Gambiarra-BetterQuesting/releases
Posted by DreamMasterXXL 10 months ago | Modpack Creator
Hello! Sorry to ask, not too sure if this is the place to ask, but I tried to launch the pack and I get this crash report! https://pastebin.com/YVU6EJGe
NerdySpider 10 months ago
Its Fastcraft not working with your optifine version so far i remeber this bug right. Use Fastcraft 1.23 and Otifine D6 or update fastcraft to 1.25 and use never version. If this is a Server log remove fastcraft. Fastcraft is a client mod only.
Posted by DreamMasterXXL 10 months ago | Modpack Creator
would it destroy everything if i were to add some performance type mods like optifine or better fps?
Luduri 1 year ago
No i using Optifine D6 too. Better fps not make it faster (fastcraft enough)
Posted by DreamMasterXXL 1 year ago | Modpack Creator

Latest Update

GT New Horizons was updated to version 2.0.9.0